#!/bin/bash

backup_path=$1
old_version=$2
new_version=$3

cd `dirname $0`
echo `basename $0` is at `pwd`

BASE_HOME=.
CONFIG_HOME=$BASE_HOME/cfg

RESOLVED_CONFIG_HOME=`cd "$CONFIG_HOME"; pwd`
export CLASSPATH=$RESOLVED_CONFIG_HOME

for i in `ls $BASE_HOME/lib/*.jar`; do
    if [ $i != "./lib/tdgw.jar" ]
    then
    CLASSPATH=$i:$CLASSPATH
    fi
done

VM_PARAM=
VM_PARAM="$VM_PARAM -Xmx2048m -Xms512m -XX:+HeapDumpOnOutOfMemoryError"

java $VM_PARAM -classpath "$CLASSPATH" com.security.sse.BootStrap $backup_path $old_version $new_version

